Subject: FW: [Moderator Action] How does WebDAV handles caching ?

From: "Jim Whitehead" <[email-masked]>
Date: Tue, 15 Jun 2004 14:07:22 -0700

Accidentally caught by the spam filter.

- Jim
-----Original Message-----
From: Prashant Dhotkar [mailto:[email-masked]]
Sent: Monday, June 14, 2004 3:20 AM
To: [email-masked]
Subject: [Moderator Action] How does WebDAV handles caching ?

Hello,

As you have mentioned that the WebDAV works well even when the connection
gets disconnected arbitrarily, I want to know what happens if the connection
gets disconnected when 5 MB of data is transferred out of 10 MB ? When I
restart the transfer will the transfer start from beginning of the file or
from where I lost the connection. What kind of caching technique is used by
WebDAV ? Please elaborate on this.

Thank you,

Prashant Dhotkar

Software Engg.

Pune,

India

--
___________________________________________________________
Sign-up for Ads Free at Mail.com
http://www.mail.com/?sr=signup

---

From: Julian Reschke <[email-masked]>
Date: Tue, 15 Jun 2004 23:51:43 +0200

> *From:* Prashant Dhotkar [mailto:[email-masked]]
> *Sent:* Monday, June 14, 2004 3:20 AM
> *To:* [email-masked]
> *Subject:* [Moderator Action] How does WebDAV handles caching ?
> 
> Hello,
> 
> As you have mentioned that the WebDAV works well even when the 
> connection gets disconnected arbitrarily, I want to know what happens if 
> the connection gets disconnected when 5 MB of data is transferred out of 
> 10 MB ? When I restart the transfer will the transfer start from 
> beginning of the file or from where I lost the connection. What kind of 
> caching technique is used by WebDAV ? Please elaborate on this.

Same as HTTP. In this particular case this means that the client can do 
a GET request specifying a byte range for the remainder of the resource.

Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760